# The generator options are defined once in this file.
# Each option can be overridden when using the command line tool.
# Each option can be overridden using your own config file too.

category:
    default: 'cat'
    values: [ 'none', 'cat' ]
gather_methods:
    default: 'start'
    values: ['start', 'end', 'none' ]
generic_constants_names:
    default: false
    values: [ true, false ]
generate_tutorial_file:
    default: true
    values: [ true, false ]
add_comments:
    default: [ ]
    values: null
namespace_prefix:
    default: ''
    values: ''
standalone:
    default: true
    values: [ true, false ]
validation:
    default: true
    values: [ true, false ]
struct_class:
    default: '\WsdlToPhp\PackageBase\AbstractStructBase'
    values: ''
struct_array_class:
    default: '\WsdlToPhp\PackageBase\AbstractStructArrayBase'
    values: ''
struct_enum_class:
    default: '\WsdlToPhp\PackageBase\AbstractStructEnumBase'
    values: ''
soap_client_class:
    default: '\WsdlToPhp\PackageBase\AbstractSoapClientBase'
    values: ''
origin:
    default: ''
    values: ''
destination:
    default: ''
    values: ''
src_dirname:
    default: 'src'
    values: ''
prefix:
    default: ''
    values: ''
suffix:
    default: ''
    values: ''
basic_login:
    default: null
    values: ''
basic_password:
    default: null
    values: ''
proxy_host:
    default: null
    values: ''
proxy_port:
    default: null
    values: ''
proxy_login:
    default: null
    values: ''
proxy_password:
    default: null
    values: ''
soap_options:
    default: []
    values: null
composer_name:
    default: ''
    values: ''
composer_settings:
    default: []
    values: ''
structs_folder:
    default: 'StructType'
    values: ''
arrays_folder:
    default: 'ArrayType'
    values: ''
enums_folder:
    default: 'EnumType'
    values: ''
services_folder:
    default: 'ServiceType'
    values: ''
schemas_save:
    default: false
    values: [ true, false ]
schemas_folder:
    default: 'wsdl'
    values: ''
xsd_types_path:
    default: ''
    values: ''
